get
/v1/kubernetes/templatesList cluster templates
List all Kubernetes cluster templates
Query Parameters
limit
integeroptionalquery
Maximum number of items to return
Default: 20
Example: 20
marker
string<uuid>optionalquery
ID of the last item from the previous page (for pagination)
Example: "550e8400-e29b-41d4-a716-446655440000"
name
stringoptionalquery
Filter by name (exact match or prefix with *)
Example: "web-*"
coe
stringoptionalquery
Filter by container orchestration engine
Enum: "kubernetes", "swarm", "mesos"
Responses
200
List of cluster templates
Content-Type: application/json
cluster_templates
arrayoptionalmeta
objectoptionallinks
objectoptional401
Authentication required or token invalid
Content-Type: application/json
error
objectrequired500
Internal server error
Content-Type: application/json
error
objectrequiredcurl -X GET "https://api.spo1.mycloud.com/v1/kubernetes/templates" \-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \-H "Content-Type: application/json"
Response
List of cluster templates
{"cluster_templates": [{"id": "550e8400-e29b-41d4-a716-446655440000","crn": "crn:spo1:kubernetes:cluster-template:550e8400-e29b-41d4-a716-446655440000","name": "kubernetes-1.28","coe": "kubernetes","image_id": "550e8400-e29b-41d4-a716-446655440000","keypair_id": "string","external_network_id": "550e8400-e29b-41d4-a716-446655440000","fixed_network": "550e8400-e29b-41d4-a716-446655440000","fixed_subnet": "550e8400-e29b-41d4-a716-446655440000","dns_nameserver": "8.8.8.8","docker_storage_driver": "overlay2","docker_volume_size": 0,"volume_driver": "cinder","network_driver": "calico","http_proxy": "string","https_proxy": "string","no_proxy": "string","labels": {},"master_flavor_id": "550e8400-e29b-41d4-a716-446655440000","flavor_id": "550e8400-e29b-41d4-a716-446655440000","server_type": "vm","registry_enabled": false,"insecure_registry": "string","floating_ip_enabled": true,"master_lb_enabled": true,"created_at": "2024-01-15T10:30:00Z","updated_at": "2024-01-15T10:30:00Z"}],"meta": {"total": 150,"limit": 20,"marker": "550e8400-e29b-41d4-a716-446655440000","has_more": true},"links": {"self": "https://api.spo1.mycloud.com/v1/instances?limit=20","next": "https://api.spo1.mycloud.com/v1/instances?limit=20&marker=550e8400-e29b-41d4-a716-446655440000","previous": "https://api.spo1.mycloud.com/v1/instances?limit=20&marker=440e8400-e29b-41d4-a716-446655440000"}}